petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESLineSearchDestroy

Destroys the line search instance.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchDestroy(SNESLineSearch * linesearch)

Collective on SNESLineSearch

### Input Parameters

linesearch -The linesearch context

### Keywords

SNESLineSearch, Destroy

### See Also

SNESGetLineSearch(), SNESLineSearchCreate(), SNESLineSearchReset(), SNESDestroy()

### Level

developer

### Location

src/snes/linesearch/interface/linesearch.c

### Implementations

SNESLineSearchDestroy_BT in src/snes/linesearch/impls/bt/linesearchbt.c
SNESLineSearchDestroy_NLEQERR in src/snes/linesearch/impls/nleqerr/linesearchnleqerr.c
SNESLineSearchDestroy_Shell in src/snes/linesearch/impls/shell/linesearchshell.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages